Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.escape.ascape.adapt
Class AscapeGraphicsAdapter

    java.lang.Object
      org.eclipse.amp.agf.GraphicsAdapter
          org.eclipse.amp.escape.ascape.adapt.AscapeGraphicsAdapter

All Implemented Interfaces:
  IGraphicsAdapter, org.eclipse.core.runtime.IAdapterFactory

    public class AscapeGraphicsAdapter

extends GraphicsAdapter

A factory for creating ScapeAdapter objects.

Field Summary

Fields inherited from class org.eclipse.amp.agf.GraphicsAdapter
`EMPTY_FIGURE_PROVIDERS, GRAPHICS_ADAPTERS`

Constructor Summary
`AscapeGraphicsAdapter()`

Method Summary
`org.eclipse.jface.viewers.IColorProvider[]` | `getColorsForClass(java.lang.Class type)`
`static IGraphicsAdapter` | `getDefault()`
`IFigureProvider[]` | `getFiguresForClass(java.lang.Class type)`
`org.eclipse.jface.viewers.ILabelProvider[]` | `getLabelsForClass(java.lang.Class type)`

Methods inherited from class org.eclipse.amp.agf.GraphicsAdapter
`getAdapter, getAdapterList, getColors, getFigures, getLabels`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AscapeGraphicsAdapter

    public AscapeGraphicsAdapter()

Method Detail

### getColorsForClass

    public org.eclipse.jface.viewers.IColorProvider[] getColorsForClass(java.lang.Class type)

  Specified by:
    `getColorsForClass` in interface `IGraphicsAdapter`
  Overrides:
    `getColorsForClass` in class `GraphicsAdapter`
  Parameters:
    `object` -
  Returns:
  See Also:
    `GraphicsAdapter.getColorsForClass(java.lang.Class)`

### getFiguresForClass

    public IFigureProvider[] getFiguresForClass(java.lang.Class type)

  Specified by:
    `getFiguresForClass` in interface `IGraphicsAdapter`
  Overrides:
    `getFiguresForClass` in class `GraphicsAdapter`
  Parameters:
    `object` -
  Returns:
  See Also:
    `GraphicsAdapter.getFiguresForClass(java.lang.Class)`

### getLabelsForClass

    public org.eclipse.jface.viewers.ILabelProvider[] getLabelsForClass(java.lang.Class type)

  Specified by:
    `getLabelsForClass` in interface `IGraphicsAdapter`
  Overrides:
    `getLabelsForClass` in class `GraphicsAdapter`
  Parameters:
    `object` -
  Returns:
  See Also:
    `GraphicsAdapter.getLabelsForClass(java.lang.Class)`

### getDefault

    public static IGraphicsAdapter getDefault()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD